Issue #6033 has been reported by Scott Gonyea.

----------------------------------------
Bug #6033: Digest issue in 1.9.3
https://bugs.ruby-lang.org/issues/6033

Author: Scott Gonyea
Status: Open
Priority: Normal
Assignee: 
Category: core
Target version: 1.9.3
ruby -v: 1.9.3-p0/122


This only happens to me on Ruby 1.9.3, in Mac OS X Lion (10.7.3). 1.9.2/1.8.7 are not affected by this issue.

After building ruby-1.9.3-p0 OR ruby-1.9.3-p122 (via rvm), I get the following issue attempting to require 'digest/sha1' (or md5, etc).

1.9.3p122 :001 > require 'digest/sha1'
LoadError: dlopen(/Users/me/.rvm/rubies/ruby-1.9.3-head/lib/ruby/1.9.1/x86_64-darwin11.3.0/digest/sha1.bundle, 9): Symbol not found: _rb_Digest_SHA1_Finish
  Referenced from: /Users/me/.rvm/rubies/ruby-1.9.3-head/lib/ruby/1.9.1/x86_64-darwin11.3.0/digest/sha1.bundle
  Expected in: flat namespace
 in /Users/me/.rvm/rubies/ruby-1.9.3-head/lib/ruby/1.9.1/x86_64-darwin11.3.0/digest/sha1.bundle - /Users/me/.rvm/rubies/ruby-1.9.3-head/lib/ruby/1.9.1/x86_64-darwin11.3.0/digest/sha1.bundle
	from /Users/me/.rvm/rubies/ruby-1.9.3-head/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in `require'
	from /Users/me/.rvm/rubies/ruby-1.9.3-head/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in `require'
	from (irb):1
	from /Users/me/.rvm/rubies/ruby-1.9.3-head/bin/irb:16:in `<main>'



-- 
http://bugs.ruby-lang.org/